EDIT - feature request #9033

Adapt TaxEditor to new TaxonNode.status
05/27/2020 02:50 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal

Description

see alos #9005

The 3 checkboxes for unplaced, doubtful and excluded needed to be changed to a dropdown (or a radio button).

Also the label for the "excluded notes" needs be changed to "status notes".

Related issues:
Follows EDIT - feature request #9005: Make the TaxonNode flags alternatives a... Closed

Associated revisions

Revision c929d34b - 05/27/2020 04:44 PM - Katja Luther

ref #9033: adapt editor to taxonnode.status

Revision 6bcObc7f - 06/09/2020 10:16 AM - Katja Luther
ref #9033: adapt labels

Revision b7797¢35 - 06/11/2020 12:05 PM - Katja Luther
ref #9033: handling of status notes

Revision eb5c6646 - 06/15/2020 07:52 PM - Katja Luther

fix #9033: correct handling for notes when switching between status and no staus

History

#1 - 05/27/2020 02:50 PM - Andreas Miiller
- Due date set to 05/07/2020
- Start date changed from 05/27/2020 to 05/07/2020

- Follows feature request #9005: Make the TaxonNode flags alternatives and change excluded notes to status notes added

#2 - 05/27/2020 10:56 PM - Andreas Miuiller
- Status changed from New to Feedback

- Priority changed from New to Highest

This is mostly fixed. 2 remaining issues:

e rename label "status” to "placement status" to clearly distinguish from taxon.doubtful status
e make "status notes" only available if status is not null

#3 - 05/27/2020 10:56 PM - Andreas Miiller
- Due date deleted (05/07/2020)
- % Done changed from 0 to 70

#4 - 06/09/2020 10:15 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller
https://dev.e-taxonomy.eu/redmine/issues/9005

Andreas Milller wrote:
This is mostly fixed. 2 remaining issues:

e rename label "status" to "placement status" to clearly distinguish from taxon.doubtful status

done

e make "status notes" only available if status is not null

done

#5 - 06/09/2020 11:54 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Now existing notes are not deleted if the status is set to null. This is the typical problem that you may not want to loose the information in case you
return to the status.

Maybe we can delete the status notes when selecting null but keep in memory to put it back when the status is selected again. Only when saving the
TaxonNode the status note will get fully lost.

Or maybe you have another idea.

#6 - 06/11/2020 12:03 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

now the notes are removed, but remembered till the wizard is closed and the taxon node saved. please review.

#7 - 06/12/2020 04:08 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Now | got an NPE when switching from status to no status

last remote method : http://localhost:49511/remoting/term.service

last remote request client time : 2020-06-12T16:06:45.989

last remote request response header time : Fri, 12 Jun 2020 16:06:46 +0200
client error time : 2020-06-12T16:06:51.509

login : admin
editor version : 5.15.0.202006121153
server : localhost (localhost mgd.) / cdm-test2

schema version : 5.15.1.0.20200610
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
java.lang.NullPointerException

at eu.etaxonomy.taxeditor.ui.element.MultilanguageTextElement.refresh (MultilanguageTextElement. java:220)

at eu.etaxonomy.taxeditor.ui.section.classification.TaxonNodeDetailElement.handleEvent (TaxonNodeDetailElem
ent.java:377)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.propertyChange (AbstractCdmDetailElement. java
:225)

at eu.etaxonomy.taxeditor.ui.element.AbstractCdmFormElement.firePropertyChangeEvent (AbstractCdmFormElement
.java:256)

at eu.etaxonomy.taxeditor.ui.combo.EnumComboElement.widgetSelected (EnumComboElement. java:314)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:249)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display. java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse. jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse.jface.window.Window.open (Window. java:794)

at eu.etaxonomy.taxeditor.handler.defaultHandler.ed4.DefaultOpenTaxonNodeWizardHandlerE4.open (DefaultOpenTa
xonNodeWizardHandlerE4. java:44)

at eu.etaxonomy.taxeditor.handler.defaultHandler.e4.DefaultOpenTaxonNodeWizardHandlerE4.open (DefaultOpenTa
xonNodeWizardHandlerE4. java:1)

at eu.etaxonomy.taxeditor.handler.defaultHandler.ed4.DefaultOpenHandlerBaseE4.execute (DefaultOpenHandlerBas
eE4.java:43)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

#8 - 06/15/2020 07:50 PM - Katja Luther
- Status changed from Feedback to Resolved

- % Done changed from 70 to 50

Applied in changeset taxeditor|eb5c6646d625eb63d4031b226ae2cd99fa7dda48.

#9 - 06/15/2020 07:50 PM - Katja Luther
- Assignee changed from Katja Luther to Andreas Miiller
- % Done changed from 50 to 70
Andreas Muller wrote:
Now | got an NPE when switching from status to no status

the NPE is fixed, please review.

#10 - 06/15/2020 09:04 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 70 to 100

Works as expected
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/eb5c6646d625eb63d4031b226ae2cd99fa7dda48
